Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 124229 - Arch-testing for OpenOffice.org 2.0.2
Summary: Arch-testing for OpenOffice.org 2.0.2
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Gentoo Office Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-02-26 23:15 UTC by Andreas Proschofsky (RETIRED)
Modified: 2006-07-05 00:50 UTC (History)
4 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Failed build for sparc (oo-sparc-fail.txt,1.98 KB, text/plain)
2006-03-06 04:34 UTC, Gustavo Zacarias (RETIRED)
Details
Failing during install (oo.failure.ppc,1.12 KB, text/plain)
2006-03-13 14:47 UTC, Matti Bickel (RETIRED)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Proschofsky (RETIRED) gentoo-dev 2006-02-26 23:15:09 UTC
The soon-to-be released OpenOffice.org 2.0.2 needs a little more testing as usual for all archs, as I've introduced a new dependency: app-text/hunspell which is the new spell checking engine from now on. So I've removed the ppc and sparc-keywords from the ebuild for now (the 2.0.2-rc3 is already in portage, though package.masked). Please test the two an add your arch keyword to both of them.
Comment 1 Ben Skeggs 2006-02-27 21:12:41 UTC
I'm attempting to build 2.0.2_rc3 on amd64, though I understand that it probably won't build/work correctly.

I've discovered a couple of bugs in the ebuild.

Firstly, there needs to be a dependency on x11-misc/gccmakedep in the modular X deps.

Secondly, when building on amd64, the distro-specific config is written to Gentoo.conf.in rather than Gentoo64.conf.in (DISTRO="Gentoo64").  The build files also need to be updated to build Gentoo64.conf from Gentoo64.conf.in.

The build is still running now, I'll report anything else I find out.
Comment 2 Andreas Proschofsky (RETIRED) gentoo-dev 2006-02-27 22:32:11 UTC
@Ben: This is not what this bug is about. AMD64 is still not supported, as it won't work properly. Also x11-misc/gccmakedep is not missing, this only shows up for you because we don't have AMD64 support until now (and won't have until it results in a working build, which is not now)
Comment 3 Ben Skeggs 2006-02-28 04:37:41 UTC
Yes, I understand that the bug isn't about building on amd64.  I just thought that I'd report some problems related to the ebuild itself.

Also, you're saying that x11-misc/gccmakedep isn't needed on x86?  I don't see it listed as a dependency anywhere in the ebuild, but the openoffice build appears to use it.  Perhaps it doesn't on x86?
Comment 4 Gustavo Zacarias (RETIRED) gentoo-dev 2006-03-02 11:27:08 UTC
Is hunspell supposed to pass the self-tests? Because it does not on sparc.
Comment 5 Andreas Proschofsky (RETIRED) gentoo-dev 2006-03-04 06:59:08 UTC
(In reply to comment #4)
> Is hunspell supposed to pass the self-tests? Because it does not on sparc.
> 

Not sure what you mean by that. The hunspell-ebuild? Also what does it complain about?
Comment 6 Gustavo Zacarias (RETIRED) gentoo-dev 2006-03-06 04:34:19 UTC
Means FEATURES="test" emerge hunspell won't pass, not even on x86.
Anyway, 2.0.2_rc3-r1 fails too since it tries to use javac to build it's sandbox.
Comment 7 Gustavo Zacarias (RETIRED) gentoo-dev 2006-03-06 04:34:45 UTC
Created attachment 81510 [details]
Failed build for sparc
Comment 8 Andreas Proschofsky (RETIRED) gentoo-dev 2006-03-06 14:59:25 UTC
(In reply to comment #6)
> Means FEATURES="test" emerge hunspell won't pass, not even on x86.
> Anyway, 2.0.2_rc3-r1 fails too since it tries to use javac to build it's
> sandbox.
> 


Looks like you are hit by:

https://bugs.gentoo.org/show_bug.cgi?id=125251

I guess this is a build without java, right?
Comment 9 Kevin F. Quinn (RETIRED) gentoo-dev 2006-03-06 15:14:45 UTC
(In reply to comment #6)
> Means FEATURES="test" emerge hunspell won't pass, not even on x86.

hunspell passes all tests for me on x86 "All 58 tests passed"; could you bug separately for that, attach details and assign to me?
Comment 10 Gustavo Zacarias (RETIRED) gentoo-dev 2006-03-06 15:25:40 UTC
Yes, it's basically the same issue.
If it really needs java then this is a no go since it's deprecated on sparc.
Comment 11 Andreas Proschofsky (RETIRED) gentoo-dev 2006-03-06 22:31:58 UTC
(In reply to comment #10)
> Yes, it's basically the same issue.
> If it really needs java then this is a no go since it's deprecated on sparc.
> 

It shouldn't, that's a bug and I'm looking at it atm, most likely just a faulty patch, just have to find the right one ;)

Comment 12 Andreas Proschofsky (RETIRED) gentoo-dev 2006-03-07 08:35:18 UTC
(In reply to comment #10)
> Yes, it's basically the same issue.
> If it really needs java then this is a no go since it's deprecated on sparc.
> 

I've added a fix for this now, so the build without java should work again.
Comment 13 Gustavo Zacarias (RETIRED) gentoo-dev 2006-03-09 07:26:04 UTC
Thanks Andreas, that did it.
Re-keyworded ~sparc.
Comment 14 Jeffrey Forman (RETIRED) gentoo-dev 2006-03-10 09:24:20 UTC
Emerges just fine for me on my p4:

[ebuild   R   ] app-office/openoffice-2.0.2_rc4  -binfilter -cairo -curl +eds -firefox +gnome +gtk +java +kde -ldap +mozilla +xml2 0 kB
Comment 15 Matti Bickel (RETIRED) gentoo-dev 2006-03-13 14:47:18 UTC
Created attachment 82040 [details]
Failing during install

I'd no trouble building oo.org on ppc (unusual long compile, though), but it fails when installing.
Comment 16 Matti Bickel (RETIRED) gentoo-dev 2006-03-13 14:49:55 UTC
Sorry, i forgot the specs:
[ebuild  N    ] app-office/openoffice-2.0.2  -binfilter -cairo +curl -eds -firefox -gnome -gtk -java -kde -ldap -mozilla +xml2 0 kB

Emerging on a gcc-3.4.5, glibc-2.3.5-r3
Comment 17 François Bissey 2006-03-15 15:25:33 UTC
(In reply to comment #15)
> Created an attachment (id=82040) [edit]
> Failing during install
> 
> I'd no trouble building oo.org on ppc (unusual long compile, though), but it
> fails when installing.
> 
I am ppc too and I have the same problem, failure on install. My set up is not
very different. It fails to register a component and there is a log of the registration process. Here is the relevant bit of this log:
register component 'libdtransX11680lp.so' in registry '/var/tmp/portage/openoffice-2.0.2/work/ooo-build-2.0.2/bui\ 
ld/OOO_2_0_2/instsetoo_native/util/OpenOffice//services.rdb/en-US_inprogress_1/services.rdb' succesful! 
ERROR:  /var/tmp/portage/openoffice-2.0.2/work/ooo-build-2.0.2/build/OOO_2_0_2/solver/680/unxlngppc.pro/bin/regco\ 
mp -register -r /var/tmp/portage/openoffice-2.0.2/work/ooo-build-2.0.2/build/OOO_2_0_2/instsetoo_native/util/Open\ 
Office//services.rdb/en-US_inprogress_1/services.rdb -c 'libschd680lp.so;libbf_migratefilter680lp.so;libbindet680\ 
lp.so;libscn680lp.so;libscriptframe.so;libsd680lp.so;slideshow.uno.so;libsdbc2.so;libsdd680lp.so;security.uno.so;\ 
libprotocolhandler680lp.so;libsfx680lp.so;simplereg.uno.so;servicemgr.uno.so;libsot680lp.so;libspell680lp.so;libs\ 
pl680lp.so;libsrtrs1.so;streams.uno.so;libsvt680lp.so;svtmisc.uno.so;libsvx680lp.so;libtextconversiondlgs680lp.so\ 
;libsw680lp.so;libdtransX11680lp.so' 2>&1 | 
Systemcall:  /var/tmp/portage/openoffice-2.0.2/work/ooo-build-2.0.2/build/OOO_2_0_2/solver/680/unxlngppc.pro/bin/\ 
regcomp -register -r /var/tmp/portage/openoffice-2.0.2/work/ooo-build-2.0.2/build/OOO_2_0_2/instsetoo_native/util\ 
/OpenOffice//services.rdb/en-US_inprogress_1/services.rdb -c 'syssh.uno.so;localebe1.uno.so;typeconverter.uno.so;\ 
typemgr.uno.so;textinstream.uno.so;libtk680lp.so;textoutstream.uno.so;libtvhlp1.so;libucb1.so;libucpchelp1.so;lib\ 
ucpdav1.so;libucpfile1.so;libucpftp1.so;libucphier1.so;libucppkg1.so;ucptdoc1.uno.so;ucpexpand1.uno.so;uriproc.un\ 
o.so;libutl680lp.so;libuui680lp.so;uuresolver.uno.so;libvcl680lp.so;libxcr680lp.so;libxmx680lp.so;libxof680lp.so'\ 
 2>&1 | 
register component 'syssh.uno.so' in registry '/var/tmp/portage/openoffice-2.0.2/work/ooo-build-2.0.2/build/OOO_2\ 
_0_2/instsetoo_native/util/OpenOffice//services.rdb/en-US_inprogress_1/services.rdb' succesful!

====================
my emerge info is:
Portage 2.0.54 (default-linux/ppc/ppc32/2006.0/G4, gcc-3.4.5, glibc-2.3.5-r3, 2.6.14-gentoo-r5 ppc)
=================================================================
System uname: 2.6.14-gentoo-r5 ppc 7450, altivec supported
Gentoo Base System version 1.6.14
ccache version 2.3 [enabled]
dev-lang/python:     2.3.5-r2, 2.4.2
sys-apps/sandbox:    1.2.12
sys-devel/autoconf:  2.13, 2.59-r7
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r1
sys-devel/binutils:  2.16.1
sys-devel/libtool:   1.5.22
virtual/os-headers:  2.6.11-r2
ACCEPT_KEYWORDS="ppc"
AUTOCLEAN="yes"
CBUILD="powerpc-unknown-linux-gnu"
CFLAGS="-O2 -mcpu=7450 -pipe -maltivec -mabi=altivec -mpowerpc-gfxopt -fsigned-char -frename-registers -fweb -fno-strict-aliasing"
CHOST="powerpc-unknown-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/2/share/config /usr/kde/3.4/env /usr/kde/3.4/share/config /usr/kde/3.4/shutdown /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/kde/3/share/config /usr/lib/X11/xkb /usr/share/config /usr/share/texmf/dvipdfm/config/ /usr/share/texmf/dvips/config/ /usr/share/texmf/tex/generic/config/ /usr/share/texmf/tex/platex/config/ /usr/share/texmf/xdvi/ /var/qmail/control"
CONFIG_PROTECT_MASK="/etc/gconf /etc/terminfo /etc/env.d"
CXXFLAGS="-O2 -mcpu=7450 -pipe -maltivec -mabi=altivec -mpowerpc-gfxopt -fsigned-char -frename-registers -fweb -fno-strict-aliasing"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoconfig ccache distlocks fixpackages sandbox sfperms strict"
GENTOO_MIRRORS="ftp://ftp.vic.keypoint.com.au http://mirrors.tds.net/gentoo ftp://mirrors.tds.net/gentoo http://mirror.tucdemonic.org/gentoo/"
LC_ALL="en_NZ.UTF-8"
PKGDIR="/usr/portage/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
SYNC="rsync://rsync.au.gentoo.org/gentoo-portage"
USE="ppc X a52 aac aalib alsa altivec apache2 apm arts audiofile berkdb bitmap-fonts bonobo bzip2 cairo cddb cdf cdparanoia cdr cli crypt ctype cups curl dba dri dts dv dvd dvdr dvdread emboss encode esd exif expat f77 fam fastbuild fbcon ffmpeg flac foomaticdb force-cgi-redirect fortran ftp gd gdbm ggi gif glut gmp gpm graphviz gstreamer gtk gtk2 gtkhtml guile hal idn ieee1394 imagemagick imlib imlib2 ipv6 java jbig jpeg jpeg2k kde kdexdeltas lcms libg++ libwww live lzo mad matroska memlimit mikmod mjpeg mng motif mp3 mpeg ncurses netcdf network nls nptl ogg openal openexr opengl oss pam pcre pdflib perl plotutils png posix ppds python qt quicktime rdesktop readline ruby samba sdl session simplexml slang slp soap sockets spell spl ssl svg szip tcltk tcpd tetex theora tiff tokenizer truetype truetype-fonts type1-fonts udev unicode usb vorbis wmf xine xml xml2 xmms xsl xv xvid zeroconf zlib userland_GNU kernel_linux elibc_glibc"
Unset:  ASFLAGS, CTARGET, LANG, LDFLAGS, LINGUAS, MAKEOPTS, PORTDIR_OVERLAY

========================
more details in my thread on the ppc gentoo forum 
(http://forums.gentoo.org/viewtopic-t-441429.html)
Comment 18 Florian E 2006-03-16 00:08:37 UTC
(In reply to comment #17)
> (In reply to comment #15)

Install fails with the same errors (ERROR-regcomp-line and then failing registering the components)

[ebuild   R   ] app-text/hunspell-1.1.4  USE="ncurses readline" 428 kB [1] 
[ebuild     U ] app-office/openoffice-2.0.2 [2.0.1] USE="firefox% gtk ldap xml2 -binfilter -cairo% -curl -eds -gnome -java -kde -mozilla" 194,581 kB [1]

Portage 2.1_pre6-r3 (default-linux/ppc/ppc32/2006.0/G4, gcc-4.1.0, glibc-2.4-r0, 2.6.15-gentoo-r5 ppc)
=================================================================
System uname: 2.6.15-gentoo-r5 ppc 7447A, altivec supported
Gentoo Base System version 1.12.0_pre16
dev-lang/python:     2.3.5, 2.4.2-r1
sys-apps/sandbox:    1.2.17
sys-devel/autoconf:  2.13, 2.59-r7
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r1
sys-devel/binutils:  2.16.1-r2
sys-devel/libtool:   1.5.22
virtual/os-headers:  2.6.11-r4
ACCEPT_KEYWORDS="ppc ~ppc"
AUTOCLEAN="yes"
CBUILD="powerpc-unknown-linux-gnu"
CFLAGS="-O2 -mcpu=G4 -maltivec -mabi=altivec -pipe -fno-strict-aliasing -funroll-loops -DHAVE_ALTIVEC_H"
CHOST="powerpc-unknown-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/2/share/config /usr/kde/3/share/config /usr/lib/X11/xkb /usr/share/config /var/qmail/control"
CONFIG_PROTECT_MASK="/etc/gconf /etc/revdep-rebuild /etc/splash /etc/terminfo /etc/texmf/web2c /etc/env.d"
CXXFLAGS="-O2 -mcpu=G4 -maltivec -mabi=altivec -pipe -fno-strict-aliasing -funroll-loops -DHAVE_ALTIVEC_H"
DISTDIR="/usr/portage/distfiles"
EMERGE_DEFAULT_OPTS=""
FEATURES="autoconfig ccache confcache distlocks metadata-transfer parallel-fetch sandbox sfperms strict suidctl userpriv usersandbox"
GENTOO_MIRRORS="ftp://ftp.tu-clausthal.de/pub/linux/gentoo/ ftp://linux.rz.ruhr-uni-bochum.de/gentoo-mirror/ ftp://ftp.join.uni-muenster.de/pub/linux/distributions/gentoo/ ftp://ftp6.uni-muenster.de/pub/linux/distributions/gentoo/ http://mirrors.sec.informatik.tu-darmstadt.de/gentoo/ ftp://ftp-stud.fht-esslingen.de/pub/Mirrors/gentoo/ ftp://ftp.rz.tu-bs.de/pub/mirror/ftp.gentoo.org/gentoo-distfiles/ ftp://ftp.uni-erlangen.de/pub/mirrors/gentoo/ ftp://sunsite.informatik.rwth-aachen.de/pub/Linux/gentoo/"
LANG="de_DE.UTF-8"
LC_ALL="de_DE.UTF-8"
LINGUAS="de"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/overlays/local /usr/local/overlays/gentoo-de"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
USE="ppc X a52 aac alsa altivec apache2 apm asf bash-completion berkdb bitmap-fonts bonobo bzip2 caps cdr cli crypt ctype dba dri dvd emboss encode esd expat fastbuild fbcon flac foomaticdb force-cgi-redirect ftp gd gdbm gif gnutls gpm gstreamer gtk gtk2 idn imlib jack jpeg kerberos ldap libg++ libwww mad memlimit mikmod mmap motif mozilla mp3 mpeg multislot ncurses nls nocd nptl nptlonly ogg oggvorbis pam pcre pdflib perl png posix python quicktime readline sdk sdl session simplexml soap sockets socks5 speex spl sqlite ssl tcpd tetex theora tokenizer truetype truetype-fonts type1-fonts udev unicode userlocales v4l vorbis xml xsl xv zlib elibc_glibc kernel_linux linguas_de userland_GNU video_cards_radeon video_cards_ati video_cards_r200"
Unset:  ASFLAGS, CTARGET, LDFLAGS
Comment 19 François Bissey 2006-03-27 18:48:46 UTC
I tried to build again after the slight version bump to 2.0.2.2 this
week end but I still fail in the same place with the same error as before
(see comment #17).
Comment 20 Andreas Proschofsky (RETIRED) gentoo-dev 2006-03-27 21:41:53 UTC
@Francois: Try to build with generic CFLAGS, OOo is known to be very sensitive to heavy optimizations (which the ebuild actually states)
Comment 21 François Bissey 2006-03-31 18:50:18 UTC
(In reply to comment #20)
> @Francois: Try to build with generic CFLAGS, OOo is known to be very sensitive
> to heavy optimizations (which the ebuild actually states)
> 

I finally got to the end of the compile with
CFLAGS="" CXXFLAGS="" emerge -u openoffice
And I still get the same problem. A component fails to register at install
and it stops.
Comment 22 François Bissey 2006-04-03 17:53:31 UTC
On ppc the update to ooo-build-2.0.2.4 from the 2nd of April didn't
change a thing to the registration problem which break the install.
Comment 23 Andreas Proschofsky (RETIRED) gentoo-dev 2006-04-20 06:13:39 UTC
Ok, next try: I've just commited two new revisions for openoffice-2.0.2: -r2 is basically the same as the current one, the bump just ensures that everyone gets the whole bunch of fixes that went in since the original build. -r1 on the contrary has the firefox use-flag removed so all the archs which have not yet stabilized firefox-1.5 should use this one instead (for stabilizing OOo). As far as I can see that results in ppc using -r2, while the others (x86 and sparc) should go for -r1.

Hope this helps us in at last marking 2.0.2 stable.

Before that you'll also have to mark app-text/hunspell stable on your arch, all the other dependencies should be fine on all archs.
Comment 24 Joe Jezak (RETIRED) gentoo-dev 2006-04-29 22:55:18 UTC
This is still broken on PPC.  I'll try to look into it asap.
Comment 25 Andreas Proschofsky (RETIRED) gentoo-dev 2006-04-30 11:34:15 UTC
@josejx: thanks

Also could please someone of the x86-herd take notice of this / give some feedback? I really would like to mark it stable soonish, it's in arch-testing for some time now.
Comment 26 Andreas Proschofsky (RETIRED) gentoo-dev 2006-04-30 11:36:25 UTC
Ooops, obviously the x86-herd was never added, my fault, done this now
Comment 27 Sander Knopper 2006-05-01 04:30:51 UTC
on x86:

[ebuild  N    ] app-text/hunspell-1.1.4  +ncurses +readline

compiles fine and passes all tests.

Now I'll go compile OOo, I'll submit this now since I guess it will take a while... ;)


emerge info
____________________________________________

Portage 2203-svn (default-linux/x86/2006.0, gcc-3.4.5, glibc-2.3.6-r3, 2.6.16.9 i686)
=================================================================
System uname: 2.6.16.9 i686 AMD Athlon(tm) 64 Processor 3200+
Gentoo Base System version 1.6.14
dev-lang/python:     2.4.2
dev-util/ccache:     [Not Present]
dev-util/confcache:  [Not Present]
sys-apps/sandbox:    1.2.12
sys-devel/autoconf:  2.13, 2.59-r7
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r1
sys-devel/binutils:  2.16.1
sys-devel/libtool:   1.5.22
virtual/os-headers:  2.6.11-r2
ACCEPT_KEYWORDS="x86"
AUTOCLEAN="yes"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-march=k8 -O2 -fomit-frame-pointer -pipe"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/2/share/config /usr/kde/3.4/env /usr/kde/3.4/share/config /usr/kde/3.4/shutdown /usr/kde/3/share/config /usr/lib/X11/xkb /usr/share/config /var/qmail/control"
CONFIG_PROTECT_MASK="/etc/eselect/compiler /etc/gconf /etc/terminfo /etc/env.d"
CXXFLAGS="-march=k8 -O2 -fomit-frame-pointer -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoconfig collision-protect distlocks sandbox sfperms strict test"
GENTOO_MIRRORS="ftp://ftp.snt.utwente.nl/pub/os/linux/gentoo/"
LINGUAS="en nl"
PKGDIR="/usr/portage/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
SYNC="rsync://rsync.nl.gentoo.org/gentoo-portage"
USE="x86 3dnow 3dnowext X aac acpi alsa avi bitmap-fonts bzip2 cairo cdparanoia cli crypt ctype cups dri dvd dvdread encode expat fam firefox foomaticdb ftp gd gdbm gif gtk gtk2 iconv icu idn jpeg jpeg2k kde kdeenablefinal libwww mad mmx mmxext mozsvg mp3 mpeg mplayer msn ncurses network nls nomotif nptl nptlonly nsplugin ogg opengl pcre pdflib php png posix ppds pppd qt quicktime rdesktop readline reflection rtc samba session sharedmem sockets spl sse sse2 ssl svg tcpd tetex tiff truetype truetype-fonts type1-fonts udev unicode userlocales vorbis win32codecs xml xml2 xorg xpm xv zlib video_cards_radeon input_devices_keyboard input_devices_mouse linguas_en linguas_nl userland_GNU kernel_linux elibc_glibc"
Unset:  ASFLAGS, CTARGET, INSTALL_MASK, LANG, LC_ALL, LDFLAGS, MAKEOPTS, PORTDIR_OVERLAY
Comment 28 Sander Knopper 2006-05-01 09:33:18 UTC
on x86:

[ebuild N     ] app-office/openoffice-2.0.2-r1  -binfilter +cairo -eds -gnome +gtk -java +kde -ldap -mono -mozilla +xml

Compiled fine and runs good. Apart from that, is there anything you want to get tested in particular? (since it's a pretty big application...)


emerge info
______________________________________________

Portage 2203-svn (default-linux/x86/2006.0, gcc-3.4.5, glibc-2.3.6-r3, 2.6.16.9 i686)
=================================================================
System uname: 2.6.16.9 i686 AMD Athlon(tm) 64 Processor 3200+
Gentoo Base System version 1.6.14
dev-lang/python:     2.4.2
dev-util/ccache:     [Not Present]
dev-util/confcache:  [Not Present]
sys-apps/sandbox:    1.2.12
sys-devel/autoconf:  2.13, 2.59-r7
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r1
sys-devel/binutils:  2.16.1
sys-devel/libtool:   1.5.22
virtual/os-headers:  2.6.11-r2
ACCEPT_KEYWORDS="x86"
AUTOCLEAN="yes"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-march=k8 -O2 -fomit-frame-pointer -pipe"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/2/share/config /usr/kde/3.4/env /usr/kde/3.4/share/config /usr/kde/3.4/shutdown /usr/kde/3/share/config /usr/lib/X11/xkb /usr/share/config /var/qmail/control"
CONFIG_PROTECT_MASK="/etc/eselect/compiler /etc/gconf /etc/terminfo /etc/env.d"
CXXFLAGS="-march=k8 -O2 -fomit-frame-pointer -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoconfig collision-protect distlocks sandbox sfperms strict test"
GENTOO_MIRRORS="ftp://ftp.snt.utwente.nl/pub/os/linux/gentoo/"
LINGUAS="en nl"
PKGDIR="/usr/portage/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
SYNC="rsync://rsync.nl.gentoo.org/gentoo-portage"
USE="x86 3dnow 3dnowext X aac acpi alsa avi bitmap-fonts bzip2 cairo cdparanoia cli crypt ctype cups curl dri dvd dvdread encode expat fam firefox foomaticdb ftp gd gdbm gif gtk gtk2 iconv icu idn jpeg jpeg2k kde kdeenablefinal libwww mad mmx mmxext mozsvg mp3 mpeg mplayer msn ncurses network nls nomotif nptl nptlonly nsplugin ogg opengl pcre pdflib php png posix ppds pppd qt quicktime rdesktop readline reflection rtc samba session sharedmem sockets spl sse sse2 ssl svg tcpd tetex tiff truetype truetype-fonts type1-fonts udev unicode userlocales vorbis win32codecs xml xml2 xorg xpm xv zlib video_cards_radeon input_devices_keyboard input_devices_mouse linguas_en linguas_nl userland_GNU kernel_linux elibc_glibc"
Unset:  ASFLAGS, CTARGET, INSTALL_MASK, LANG, LC_ALL, LDFLAGS, MAKEOPTS, PORTDIR_OVERLAY
Comment 29 Andreas Proschofsky (RETIRED) gentoo-dev 2006-05-01 09:53:59 UTC
(In reply to comment #28)
> on x86:
> 
> [ebuild N     ] app-office/openoffice-2.0.2-r1  -binfilter +cairo -eds -gnome
> +gtk -java +kde -ldap -mono -mozilla +xml

thanks

> Compiled fine and runs good. Apart from that, is there anything you want to get
> tested in particular? (since it's a pretty big application...)

Not really, just waiting for the official "go" of the x86-herd ;)
Comment 30 Matthias Langer 2006-05-01 09:59:28 UTC
hunspell-1.1.4 [ +ncurses +readline ] did not pass all tests here (x86):

Fail in checksharps.sug. Bad suggestion?
1c1
< M&#65533;SSIG
---
> & M&#65533;&#65533;IG 1 0: M&#65533;SSIG
FAIL: checksharps.test
PASS: checksharpsutf.test
PASS: germancompounding.test
PASS: germancompoundingold.test
PASS: i35725.test
PASS: i53643.test
PASS: i54633.test
PASS: i54980.test
PASS: maputf.test
PASS: reputf.test
======================================
1 of 58 tests failed
Please report to nemethl@gyorsposta.hu
======================================

Portage 2203-svn (default-linux/x86/2006.0, gcc-3.4.5, glibc-2.3.6-r3, 2.6.16-gentoo-r3 i686)
=================================================================
System uname: 2.6.16-gentoo-r3 i686 AMD Athlon(tm) XP 2400+
Gentoo Base System version 1.6.14
dev-lang/python:     2.3.5-r2, 2.4.2
dev-util/ccache:     [Not Present]
dev-util/confcache:  [Not Present]
sys-apps/sandbox:    1.2.12
sys-devel/autoconf:  2.13, 2.59-r7
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r1
sys-devel/binutils:  2.16.1
sys-devel/libtool:   1.5.22
virtual/os-headers:  2.6.11-r2
ACCEPT_KEYWORDS="x86"
AUTOCLEAN="yes"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -march=athlon-xp -pipe"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/2/share/config /usr/kde/3.4/env /usr/kde/3.4/share/config /usr/kde/3.4/shutdown /usr/kde/3/share/config /usr/lib/X11/xkb /usr/share/config /usr/share/texmf/dvipdfm/config/ /usr/share/texmf/dvips/config/ /usr/share/texmf/tex/generic/config/ /usr/share/texmf/tex/platex/config/ /usr/share/texmf/xdvi/ /var/qmail/control"
CONFIG_PROTECT_MASK="/etc/eselect/compiler /etc/gconf /etc/terminfo /etc/env.d"
CXXFLAGS="-O2 -march=athlon-xp -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoconfig collision-protect distlocks sandbox sfperms strict test"
GENTOO_MIRRORS="http://gentoo.inode.at/ "
LANG="en_US.utf8"
LC_ALL="en_US.utf8"
LINGUAS="en de"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://192.168.0.1/gentoo-portage"
USE="x86 3dnow 3dnowext X a52 aac aalib acpi alsa apm audiofile avi berkdb bitmap-fonts bonobo bzip2 cairo cdr cli crypt css cups curl dbus directfb dri dts dvd dvdr dvdread eds emboss encode exif expat fam fbcon ffmpeg firefox flac foomaticdb fortran gd gdbm gif ginac glut gmp gnome gphoto2 gpm gstreamer gtk gtk2 gtkhtml guile hal icq idn imagemagick imlib ipv6 isdnlog java javascript jpeg jpeg2k junit lcms libg++ libwww mad mikmod mime mmx mmxext mng motif mozsvg mp3 mpeg msn nautilus ncurses nls nptl nsplugin nvidia offensive ogg oggvorbis openal opengl pam pcre pdflib perl plotutils png posix pppd python quicktime readline real reflection ruby sdl session slang sockets speex spell spl sqlite sqlite3 sse ssl subtitles svg svga tcltk tcpd tetex theora tiff truetype truetype-fonts type1-fonts udev unicode usb vcd vorbis win32codecs wma xine xml xml2 xmms xorg xv xvid zlib linguas_en linguas_de userland_GNU kernel_linux elibc_glibc"
Unset:  ASFLAGS, CTARGET, INSTALL_MASK, LDFLAGS
Comment 31 Matthias Langer 2006-05-01 17:25:36 UTC
For some reason all hunspell-1.1.4 [ +ncurses +readline ] tests passed here:

Portage 2203-svn (default-linux/x86/2006.0, gcc-3.4.5, glibc-2.3.6-r3, 2.6.15.6 i686)
=================================================================
System uname: 2.6.15.6 i686 AMD Athlon(tm) XP 1900+
Gentoo Base System version 1.6.14
dev-lang/python:     2.3.5-r2, 2.4.2
dev-util/ccache:     [Not Present]
dev-util/confcache:  [Not Present]
sys-apps/sandbox:    1.2.12
sys-devel/autoconf:  2.13, 2.59-r7
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r1
sys-devel/binutils:  2.16.1
sys-devel/libtool:   1.5.22
virtual/os-headers:  2.6.11-r2
ACCEPT_KEYWORDS="x86"
AUTOCLEAN="yes"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -march=athlon-xp -pipe"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/2/share/config /usr/kde/3/share/config /usr/lib/X11/xkb /usr/share/config /var/qmail/control"
CONFIG_PROTECT_MASK="/etc/eselect/compiler /etc/gconf /etc/terminfo /etc/env.d"
CXXFLAGS="-O2 -march=athlon-xp -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoconfig colission-protect distlocks sandbox sfperms strict test"
GENTOO_MIRRORS="ftp://ftp.sh.cvut.cz/MIRRORS/gentoo/gentoo "
LC_ALL="en_US.UTF-8"
LINGUAS="en de"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
USE="x86 3dnow 3dnowext X acpi alsa apm audiofile avi berkdb bitmap-fonts browserplugin bzip2 bzlib cairo cli crypt curl dbus dri dvd emboss encode exif expat fam firefox foomaticdb fortran gd gdbm gif glut gmp gnome gphoto2 gpm gstreamer gtk gtk2 gtkhtml hal idn imlib ipv6 isdnlog java jpeg lcms libg++ libwww mad mikmod mime mmx mmxext mng motif mp3 mpeg ncurses nls nptl nsplugin nvidia ogg oggvorbis opengl pam pcre pdflib perl png pppd python quicktime readline real reflection ruby sdl session spell spl sqlite sse ssl tcpd truetype truetype-fonts type1-fonts udev unicode usb vorbis win32codecs wma xine xml xml2 xorg xv xvid zlib linguas_en linguas_de userland_GNU kernel_linux elibc_glibc"
Unset:  ASFLAGS, CTARGET, INSTALL_MASK, LANG, LDFLAGS
Comment 32 Kevin F. Quinn (RETIRED) gentoo-dev 2006-05-02 00:00:14 UTC
(In reply to comment #30)
> hunspell-1.1.4 [ +ncurses +readline ] did not pass all tests here (x86):
> 
> Fail in checksharps.sug. Bad suggestion?

Fixed in CVS, thanks.

No revbump; re-sync then do 'emerge --oneshot hunspell' to emerge hunspell again.
No need to re-emerge openoffice!
Comment 33 Matthias Langer 2006-05-02 06:18:19 UTC
Now the tests also pass for the box mentioned in comment #30:
===================
All 58 tests passed
===================
Comment 34 Matthias Langer 2006-05-02 06:22:56 UTC
openoffice-2.0.2-r1 [ -binfilter +cairo +eds +gnome +gtk +java -kde -ldap -mono -mozilla +xml ] with hunspell-1.1.4 [ +ncurses +readline ] seems to work at the first glance on the box mentioned in comment #30 (x86). I can't say more than that, as reliably testing such a big app would take me a few weeks.
Comment 35 Andreas Proschofsky (RETIRED) gentoo-dev 2006-05-04 13:58:31 UTC
If there are no more objections from the x86-herd I'm going to mark both hunspell and openoffice-2.0.2-r1 stable in the next few days, ok?
Comment 36 Chris Gianelloni (RETIRED) gentoo-dev 2006-05-07 08:02:14 UTC
Fine by me.
Comment 37 Matthias Langer 2006-05-12 06:08:42 UTC
my sister has done some arch testing with openoffice-2.0.2-r1 (oowriter2 only) without even knowing it :-). as she didn't complain, i guess oowriter2 was doing fine for her.

Portage 2.0.54-r2 (default-linux/x86/2006.0, gcc-3.4.5, glibc-2.3.6-r3, 2.6.16.16 i686)
=================================================================
System uname: 2.6.16.16 i686 AMD Athlon(tm) XP 1900+
Gentoo Base System version 1.6.14
dev-lang/python:     2.3.5-r2, 2.4.2
dev-python/pycrypto: [Not Present]
dev-util/ccache:     [Not Present]
dev-util/confcache:  [Not Present]
sys-apps/sandbox:    1.2.17
sys-devel/autoconf:  2.13, 2.59-r7
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r1
sys-devel/binutils:  2.16.1
sys-devel/libtool:   1.5.22
virtual/os-headers:  2.6.11-r2
ACCEPT_KEYWORDS="x86"
AUTOCLEAN="yes"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -march=athlon-xp -pipe"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/2/share/config /usr/kde/3/share/config /usr/lib/X11/xkb /usr/share/config /var/qmail/control"
CONFIG_PROTECT_MASK="/etc/eselect/compiler /etc/gconf /etc/terminfo /etc/env.d"
CXXFLAGS="-O2 -march=athlon-xp -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoconfig colission-protect distlocks sandbox sfperms strict"
GENTOO_MIRRORS="ftp://ftp.sh.cvut.cz/MIRRORS/gentoo/gentoo "
LC_ALL="en_US.UTF-8"
LINGUAS="en de"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
USE="x86 3dnow 3dnowext X acpi alsa apm audiofile avi berkdb bitmap-fonts browserplugin bzip2 bzlib cairo cli crypt curl dbus dri dvd emboss encode exif expat fam firefox foomaticdb fortran gd gdbm gif glut gmp gnome gphoto2 gpm gstreamer gtk gtk2 gtkhtml hal idn imlib ipv6 isdnlog java jpeg lcms libg++ libwww mad mikmod mime mmx mmxext mng motif mp3 mpeg ncurses nls nptl nsplugin nvidia ogg oggvorbis opengl pam pcre pdflib perl png pppd python quicktime readline real reflection ruby sdl session spell spl sqlite sse ssl tcpd tiff truetype truetype-fonts type1-fonts udev unicode usb vorbis win32codecs wma xine xml xml2 xorg xv xvid zlib linguas_en linguas_de userland_GNU kernel_linux elibc_glibc"
Unset:  ASFLAGS, CTARGET, INSTALL_MASK, LANG, LDFLAGS, PORTAGE_RSYNC_EXTRA_OPTS, PORTAGE_RSYNC_OPTS
Comment 38 Chris Gianelloni (RETIRED) gentoo-dev 2006-05-12 13:10:14 UTC
x86 done (finally)

Sorry about the wait...
Comment 39 Andreas Proschofsky (RETIRED) gentoo-dev 2006-05-29 03:07:19 UTC
As SPARC has stabilized OOo 2.0.2-r1 silently, this leaves ppc, any news on that front? The bug which prevented it from building should be fixed until now
Comment 40 Lars Weiler (RETIRED) gentoo-dev 2006-06-06 04:45:46 UTC
I vote for no on ppc.  This happens when I compile openoffice-2.0.2-r2:

/var/tmp/portage/openoffice-2.0.2-r2/work/ooo-build-2.0.2.11/build/OOO_2_0_2/bean/native/unix
dmake: Executing shell macro: $(FIND) . -name "{$(subst,$($(WINVERSIONNAMES)_MAJOR),* $(subst,$(UPD)$(DLLPOSTFIX), $(SHL1TARGET)))}.xml"
cp -f /var/tmp/portage/openoffice-2.0.2-r2/work/ooo-build-2.0.2.11/build/OOO_2_0_2/solenv/src/version.c ../../unxlngppc.pro/misc/officebean_version.c
------------------------------
Making: ../../unxlngppc.pro/slo/officebean_version.obj
gcc -fsigned-char -fmessage-length=0 -c -I.  -I. -I../inc -I../../inc -I../../unx/inc -I../../unxlngppc.pro/inc -I. -I/var/tmp/portage/openoffice-2.0.2-r2/work/ooo-build-2.0.2.11/build/OOO_2_0_2/solver/680/unxlngppc.pro/inc/dont_use_stl -I/var/tmp/portage/openoffice-2.0.2-r2/work/ooo-build-2.0.2.11/build/OOO_2_0_2/solver/680/unxlngppc.pro/inc/external -I/var/tmp/portage/openoffice-2.0.2-r2/work/ooo-build-2.0.2.11/build/OOO_2_0_2/solver/680/unxlngppc.pro/inc -I/var/tmp/portage/openoffice-2.0.2-r2/work/ooo-build-2.0.2.11/build/OOO_2_0_2/solenv/unxlngppc/inc -I/var/tmp/portage/openoffice-2.0.2-r2/work/ooo-build-2.0.2.11/build/OOO_2_0_2/solenv/inc -I/var/tmp/portage/openoffice-2.0.2-r2/work/ooo-build-2.0.2.11/build/OOO_2_0_2/res -I/var/tmp/portage/openoffice-2.0.2-r2/work/ooo-build-2.0.2.11/build/OOO_2_0_2/solver/680/unxlngppc.pro/inc/dont_use_stl -I/var/tmp/portage/openoffice-2.0.2-r2/work/ooo-build-2.0.2.11/build/OOO_2_0_2/solenv/inc/Xp31 -I/opt/ibm-jdk-bin-1.5.0/include -I/opt/ibm-jdk-bin-1.5.0/include/linux -I/opt/ibm-jdk-bin-1.5.0/include/native_threads/include -I/usr/include     -I. -I../../res -I. -O2 -fno-strict-aliasing   -fsigned-char -pipe -O2 -mtune=G4 -mcpu=G4 -maltivec -mabi=altivec -pipe -fPIC -DLINUX -DUNX -DVCL -DGCC -DC300 -DPOWERPC -DCVER=C300 -D_USE_NAMESPACE -DNPTL -DGLIBC=2 -D_PTHREADS -D_REENTRANT -DNEW_SOLAR -D_USE_NAMESPACE=1 -DSTLPORT_VERSION=400 -DPOWERPC -DPPC -DHAVE_GCC_VISIBILITY_FEATURE -D__DMAKE -DUNIX -DCPPU_ENV=gcc3 -DGXX_INCLUDE_PATH=/usr/lib/gcc/powerpc-unknown-linux-gnu/3.4.6/include/g++-v3 -DSUPD=680 -DPRODUCT -DNDEBUG -DPRODUCT_FULL -DOSL_DEBUG_LEVEL=0 -DOPTIMIZE -DEXCEPTIONS_ON -DCUI -DSOLAR_JAVA -DOOB680=OOB680   -DSHAREDLIB -D_DLL_   -o ../../unxlngppc.pro/slo/officebean_version.o ../../unxlngppc.pro/misc/officebean_version.c
if ( -e ../../unxlngppc.pro/slo/officebean_version.o) touch ../../unxlngppc.pro/slo/officebean_version.obj
------------------------------
Making: ../../unxlngppc.pro/slo/com_sun_star_comp_beans_LocalOfficeWindow.obj
gcc -fsigned-char -fmessage-length=0 -c -I.  -I. -I../inc -I../../inc -I../../unx/inc -I../../unxlngppc.pro/inc -I. -I/var/tmp/portage/openoffice-2.0.2-r2/work/ooo-build-2.0.2.11/build/OOO_2_0_2/solver/680/unxlngppc.pro/inc/dont_use_stl -I/var/tmp/portage/openoffice-2.0.2-r2/work/ooo-build-2.0.2.11/build/OOO_2_0_2/solver/680/unxlngppc.pro/inc/external -I/var/tmp/portage/openoffice-2.0.2-r2/work/ooo-build-2.0.2.11/build/OOO_2_0_2/solver/680/unxlngppc.pro/inc -I/var/tmp/portage/openoffice-2.0.2-r2/work/ooo-build-2.0.2.11/build/OOO_2_0_2/solenv/unxlngppc/inc -I/var/tmp/portage/openoffice-2.0.2-r2/work/ooo-build-2.0.2.11/build/OOO_2_0_2/solenv/inc -I/var/tmp/portage/openoffice-2.0.2-r2/work/ooo-build-2.0.2.11/build/OOO_2_0_2/res -I/var/tmp/portage/openoffice-2.0.2-r2/work/ooo-build-2.0.2.11/build/OOO_2_0_2/solver/680/unxlngppc.pro/inc/dont_use_stl -I/var/tmp/portage/openoffice-2.0.2-r2/work/ooo-build-2.0.2.11/build/OOO_2_0_2/solenv/inc/Xp31 -I/opt/ibm-jdk-bin-1.5.0/include -I/opt/ibm-jdk-bin-1.5.0/include/linux -I/opt/ibm-jdk-bin-1.5.0/include/native_threads/include -I/usr/include     -I. -I../../res -I. -O2 -fno-strict-aliasing   -fsigned-char -pipe -O2 -mtune=G4 -mcpu=G4 -maltivec -mabi=altivec -pipe -fPIC -DLINUX -DUNX -DVCL -DGCC -DC300 -DPOWERPC -DCVER=C300 -D_USE_NAMESPACE -DNPTL -DGLIBC=2 -D_PTHREADS -D_REENTRANT -DNEW_SOLAR -D_USE_NAMESPACE=1 -DSTLPORT_VERSION=400 -DPOWERPC -DPPC -DHAVE_GCC_VISIBILITY_FEATURE -D__DMAKE -DUNIX -DCPPU_ENV=gcc3 -DGXX_INCLUDE_PATH=/usr/lib/gcc/powerpc-unknown-linux-gnu/3.4.6/include/g++-v3 -DSUPD=680 -DPRODUCT -DNDEBUG -DPRODUCT_FULL -DOSL_DEBUG_LEVEL=0 -DOPTIMIZE -DEXCEPTIONS_ON -DCUI -DSOLAR_JAVA -DOOB680=OOB680   -DSHAREDLIB -D_DLL_  -DMULTITHREAD  -o ../../unxlngppc.pro/slo/com_sun_star_comp_beans_LocalOfficeWindow.o com_sun_star_comp_beans_LocalOfficeWindow.c
In file included from com_sun_star_comp_beans_LocalOfficeWindow.c:45:
/opt/ibm-jdk-bin-1.5.0/include/jawt.h:302: error: syntax error before "jboolean"
dmake:  Error code 1, while making '../../unxlngppc.pro/slo/com_sun_star_comp_beans_LocalOfficeWindow.obj'
'---* tg_merge.mk *---'
            
ERROR: Error 65280 occurred while making /var/tmp/portage/openoffice-2.0.2-r2/work/ooo-build-2.0.2.11/build/OOO_2_0_2/bean/native/unix
make: *** [stamp/build] Error 1
            
!!! ERROR: app-office/openoffice-2.0.2-r2 failed.
Call stack: 
  ebuild.sh, line 1539:   Called dyn_compile
  ebuild.sh, line 939:   Called src_compile
  openoffice-2.0.2-r2.ebuild, line 235:   Called die
            
!!! Build failed
!!! If you need support, post the topmost build error, and the call stack if relevant.
Comment 41 Andreas Proschofsky (RETIRED) gentoo-dev 2006-06-06 05:00:43 UTC
(In reply to comment #40)
> I vote for no on ppc.  This happens when I compile openoffice-2.0.2-r2:

There is an open bug about that:

http://bugs.gentoo.org/show_bug.cgi?id=126105

I might also point out two things:

*) This happens also with 2.0.1 (which is stable on ppc)
*) This only happens (to my knowledge) with a hard-masked java-flavour
Comment 42 Andreas Proschofsky (RETIRED) gentoo-dev 2006-06-06 05:08:31 UTC
Also as Hanno just pointed out here:

http://bugs.gentoo.org/show_bug.cgi?id=135249#c15

this is a problem in ibm-jdk-1.5.0 which should be fixed in newer versions (1.5.0.2 is the newest one, but not yet in portage)
Comment 43 Lars Weiler (RETIRED) gentoo-dev 2006-06-06 05:33:45 UTC
(In reply to comment #42)
> this is a problem in ibm-jdk-1.5.0 which should be fixed in newer versions
> (1.5.0.2 is the newest one, but not yet in portage)

Yep, you're right, I'm using dev-java/ibm-jdk-bin-1.5.0.  And it is not stable on ppc yet...  Seems I have to downgrade ibm-jdk and try again.
Comment 44 Lars Weiler (RETIRED) gentoo-dev 2006-07-05 00:50:45 UTC
I made OpenOffice 2.0.3 stable on ppc.  Closing this bug, as we are the last arch.